Export (0) Print
Expand All

VCReference.MinFrameworkVersion Property

Gets the minimum version of the .NET Framework required by the project.

Namespace:  Microsoft.VisualStudio.VCProjectEngine
Assembly:  Microsoft.VisualStudio.VCProjectEngine (in Microsoft.VisualStudio.VCProjectEngine.dll)

enumFrameworkVersion MinFrameworkVersion { get; }

Property Value

Type: Microsoft.VisualStudio.VCProjectEngine.enumFrameworkVersion
An enumFrameworkVersion value indicating the minimum .NET Framework required.

In Visual Studio 2008, projects can be set to target a specific .NET Framework version. This value can be set or read by TargetFrameworkVersion.

Each assembly reference has a property associated with it called "MinFrameworkVersion" whose type is the same as the project's TargetFrameworkVersion value. The value of the property is provided by:

  • The VsCore assembly framework service for Assembly references, and is stored in the .vcproj file.

  • A value of "Unknown" if the VsCore service is unavailable. (Such as when the code running outside of the IDE.)

  • The referenced project's TargetFrameworkVersion value for project references. (This value is not stored in the .vcproj file.)

MinFrameworkVersion is cached in the project file. It is rare, however, for the targeted framework version of an assembly to change. If this should occur, simply go to the References dialog box and add the reference again.

Show:
© 2014 Microsoft